﻿IF (SELECT TOP (1) 1 FROM SysLic) IS NULL
	RETURN;

-- SysModuleEdit
IF OBJECT_ID('SysModuleEdit_backup') IS NOT NULL
BEGIN
	UPDATE sme
	SET	sme.TypeColumnValue = sme_b.TypeColumnValue
		,sme.Position = sme_b.Position
		,sme.ActionKindCaption = sme_b.ActionKindCaption
		,sme.ActionKindName = sme_b.ActionKindName
		,sme.PageCaption = sme_b.PageCaption
	FROM SysModuleEdit_backup sme_b
	INNER JOIN SysModuleEdit sme ON sme.Id = sme_b.Id;

	INSERT INTO SysModuleEdit
		(TypeColumnValue, Position, ActionKindCaption, ActionKindName, PageCaption)
	SELECT
		sme_b.TypeColumnValue, sme_b.Position, sme_b.ActionKindCaption, sme_b.ActionKindName, sme_b.PageCaption
	FROM SysModuleEdit_backup sme_b
	LEFT OUTER JOIN SysModuleEdit sme ON sme.Id = sme_b.Id
	WHERE sme.Id IS NULL;

	--DROP TABLE SysModuleEdit_backup;
END

-- SysModuleEditLcz
IF OBJECT_ID('SysModuleEditLcz_backup') IS NOT NULL
BEGIN
	UPDATE smel
	SET	smel.ActionKindCaption = smel_b.ActionKindCaption
		,smel.PageCaption = smel_b.PageCaption
	FROM SysModuleEditLcz_backup smel_b
	INNER JOIN SysModuleEditLcz smel ON (smel.RecordId = smel_b.RecordId AND smel.SysCultureId = smel_b.SysCultureId);

	INSERT INTO SysModuleEditLcz
		(ActionKindCaption, PageCaption)
	SELECT
		smel_b.ActionKindCaption, smel_b.PageCaption
	FROM SysModuleEditLcz_backup smel_b
	LEFT OUTER JOIN SysModuleEditLcz smel ON (smel.RecordId = smel_b.RecordId AND smel.SysCultureId = smel_b.SysCultureId)
	WHERE smel.Id IS NULL;

	--DROP TABLE SysModuleEditLcz_backup;
END

-- SysModuleEntity
IF OBJECT_ID('SysModuleEntity_backup') IS NOT NULL
BEGIN
	UPDATE sme
	SET	sme.TypeColumnUId = sme_b.TypeColumnUId
		,sme.SysEntitySchemaUId = sme_b.SysEntitySchemaUId
	FROM SysModuleEntity_backup sme_b
	INNER JOIN SysModuleEntity sme ON sme.Id = sme_b.Id;

	--DROP TABLE SysModuleEntity_backup;
END